<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_05_ana_ad() */
/* タブのスラグ haumenu_define_tab_slug_05_ana_ad() */
/* $option_name 設定名 haumenu_define_option_name_05_ana_ad() */
/* get_option GetOP05_ana_ad() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */
function haup_child_setting_view_control_05_ana_ad( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_ana_ad';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_05_ana_ad();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'enable-set-revisions' => array(
			//'.set-revisions-num-wrapper', // リビジョン数
			//'.set-revisions-posttype-wrapper', // 指定する投稿タイプ
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_05_ana_ad', 20 );


/*** 最初のH2タグ前に挿入するコンテンツ ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_first_autoad_content(){
//項目の追加
	add_settings_field(
		'first-autoad-content', // 設定名
		__('Code to insert before the first H2 tag','hima-art-utility'), // 設定タイトル
		'haumenu_first_autoad_content', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_05_ana_ad(), //表示させるタブのスラグ
		haumenu_define_section_id_05_ana_ad(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_first_autoad_content' );

/* 入力フォーム */
function haumenu_first_autoad_content() {
	$set_name = haumenu_define_option_name_05_ana_ad(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'first-autoad-content'; //個別配列名

	//$use_js = get_option('hautility-first-autoad-content-use-js');
	if(isset( GetOP05_ana_ad()['first-autoad-content-use-js'] )){
		$use_js = GetOP05_ana_ad()['first-autoad-content-use-js'];
	}else{
		$use_js = '';
	}

if($use_js == '1'){
?>
<label>
	<p><?php esc_html_e('Enter content such as ad code to be inserted just before the first H2 tag','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
	<?php esc_html_e('You can insert content composed with JS','hima-art-utility'); ?>
	</span>
	<br>
	<span class="haup-admin-font-red">
	<?php esc_html_e('Important: We do not recommend injecting content composed with JS due to potential security issues.','hima-art-utility'); ?>
	</span>
	<br>
	<span>
	<?php esc_html_e('If you want to insert content made up of HTML, uncheck "Use JavaScript or jQuery" and insert it after updating.','hima-art-utility'); ?></span>
	<span class="haup-admin-font-red">
	<?php esc_html_e('Even if you enable "Use JavaScript or jQuery", you can still use HTML content, but if it is clear that the content is HTML, it is safer to disable this function for security reasons.','hima-art-utility'); ?>
	</span>
	<br>
	<span>
		<?php esc_html_e('When inserting Google Adsense ad tags, if the previous section "Output ad script tag" is enabled, delete the following part from the ad code to be entered.','hima-art-utility'); ?>
	</span>
	<br>
	<span class="haup-admin-font-red">
	<?php esc_html_e('&lt;script async src=&quot;https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=Adsense ID&quot;
     crossorigin=&quot;anonymous&quot;&gt;&lt;/script&gt;','hima-art-utility'); ?>
	</span>
</p>

<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="10" ><?php echo esc_html($options[ $option_name ]); ?></textarea>
<?php
}else{
?>
<label>
	<p><?php esc_html_e('Enter content such as ad code to be inserted just before the first H2 tag','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
	<?php esc_html_e('You can insert HTML content','hima-art-utility'); ?>
	</span>
	<br>
	<span>
	<?php esc_html_e('If you want to insert JavaScript such as Google Adsense ad tags, check "Use JavaScript or jQuery" and insert it after updating.','hima-art-utility'); ?>
	</span>
</p>
<p class="haup-admin-bk">
	<?php esc_html_e('Tip: If you want the width of the inserted content to fit within the width of the parent element, enclose it in div tags.','hima-art-utility'); ?>
</p>
<?php echo wp_kses_post(allow_tags_list()); ?>
<br>
<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="10" ><?php echo wp_kses_post($options[ $option_name ]); ?></textarea>
<?php
}
}

/*** 最初のH2タグ前に挿入するコンテンツにJSを使用する ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_first_autoad_content_use_js(){
//項目の追加
	add_settings_field(
		'first-autoad-content-use-js', // 設定名
		'', // 設定タイトル
		'haumenu_first_autoad_content_use_js', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_05_ana_ad(), //表示させるタブのスラグ
		haumenu_define_section_id_05_ana_ad(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_first_autoad_content_use_js' );

/* 入力フォーム */
function haumenu_first_autoad_content_use_js() {
	$set_name = haumenu_define_option_name_05_ana_ad(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'first-autoad-content-use-js'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1"><?php esc_html_e('Use JavaScript or jQuery','hima-art-utility'); ?>
</label>
<?php
}

/*** 2つめのH2タグ前に挿入するコンテンツ ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_second_autoad_content(){
//項目の追加
	add_settings_field(
		'second-autoad-content', // 設定名
		__('Code to insert before the second H2 tag','hima-art-utility'), // 設定タイトル
		'haumenu_second_autoad_content', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_05_ana_ad(), //表示させるタブのスラグ
		haumenu_define_section_id_05_ana_ad(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_second_autoad_content' );

/* 入力フォーム */
function haumenu_second_autoad_content() {
	$set_name = haumenu_define_option_name_05_ana_ad(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'second-autoad-content'; //個別配列名

	if(isset( GetOP05_ana_ad()['second-autoad-content-use-js'] )){
		$use_js = GetOP05_ana_ad()['second-autoad-content-use-js'];
	}else{
		$use_js = '';
	}

if($use_js == '1'){
?>
<label>
	<p><?php esc_html_e('Enter content such as ad code to be inserted just before the first H2 tag','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
	<?php esc_html_e('You can insert content composed with JS','hima-art-utility'); ?>
	</span>
	<br>
	<span class="haup-admin-font-red">
	<?php esc_html_e('Important: We do not recommend injecting content composed with JS due to potential security issues.','hima-art-utility'); ?>
	</span>
	<br>
	<span>
	<?php esc_html_e('If you want to insert content made up of HTML, uncheck "Use JavaScript or jQuery" and insert it after updating.','hima-art-utility'); ?></span>
	<span class="haup-admin-font-red">
	<?php esc_html_e('Even if you enable "Use JavaScript or jQuery", you can still use HTML content, but if it is clear that the content is HTML, it is safer to disable this function for security reasons.','hima-art-utility'); ?>
	</span>
	<br>
	<span>
		<?php esc_html_e('When inserting Google Adsense ad tags, if the previous section "Output ad script tag" is enabled, delete the following part from the ad code to be entered.','hima-art-utility'); ?>
	</span>
	<br>
	<span class="haup-admin-font-red">
	<?php esc_html_e('&lt;script async src=&quot;https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=Adsense ID&quot;
     crossorigin=&quot;anonymous&quot;&gt;&lt;/script&gt;','hima-art-utility'); ?>
	</span>
</p>

<br>
<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="10" ><?php echo esc_html($options[ $option_name ]); ?></textarea>
<?php
}else{
?>
<label>
	<p><?php esc_html_e('Enter content such as ad code to be inserted just before the first H2 tag','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
	<?php esc_html_e('You can insert HTML content','hima-art-utility'); ?>
	</span>
	<br>
	<span>
	<?php esc_html_e('If you want to insert JavaScript such as Google Adsense ad tags, check "Use JavaScript or jQuery" and insert it after updating.','hima-art-utility'); ?>
	</span>
</p>
<p class="haup-admin-bk">
	<?php esc_html_e('Tip: If you want the width of the inserted content to fit within the width of the parent element, enclose it in div tags.','hima-art-utility'); ?>
</p>
<?php echo wp_kses_post(allow_tags_list()); ?>
<br>
<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="10" ><?php echo wp_kses_post($options[ $option_name ]); ?></textarea>
<?php
}
}

/*** 2つめのH2タグ前に挿入するコンテンツにJSを使用する ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_second_autoad_content_use_js(){
//項目の追加
	add_settings_field(
		'second-autoad-content-use-js', // 設定名
		'', // 設定タイトル
		'haumenu_second_autoad_content_use_js', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_05_ana_ad(), //表示させるタブのスラグ
		haumenu_define_section_id_05_ana_ad(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_second_autoad_content_use_js' );

/* 入力フォーム */
function haumenu_second_autoad_content_use_js() {
	$set_name = haumenu_define_option_name_05_ana_ad(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'second-autoad-content-use-js'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1"><?php esc_html_e('Use JavaScript or jQuery','hima-art-utility'); ?>
</label>
<?php
}

/*** 3つめのH2タグ前に挿入するコンテンツ ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_third_autoad_content(){
//項目の追加
	add_settings_field(
		'third-autoad-content', // 設定名
		__('Code to insert before the third H2 tag','hima-art-utility'), // 設定タイトル
		'haumenu_third_autoad_content', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_05_ana_ad(), //表示させるタブのスラグ
		haumenu_define_section_id_05_ana_ad(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_third_autoad_content' );

/* 入力フォーム */
function haumenu_third_autoad_content() {
	$set_name = haumenu_define_option_name_05_ana_ad(); //  $option_name 設定名
	$options = get_option( $set_name );
	$option_name = 'third-autoad-content'; //個別配列名

	if(isset( GetOP05_ana_ad()['third-autoad-content-use-js'] )){
		$use_js = GetOP05_ana_ad()['third-autoad-content-use-js'];
	}else{
		$use_js = '';
	}

if($use_js == '1'){
?>
<label>
	<p><?php esc_html_e('Enter content such as ad code to be inserted just before the first H2 tag','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
	<?php esc_html_e('You can insert content composed with JS','hima-art-utility'); ?>
	</span>
	<br>
	<span class="haup-admin-font-red">
	<?php esc_html_e('Important: We do not recommend injecting content composed with JS due to potential security issues.','hima-art-utility'); ?>
	</span>
	<br>
	<span>
	<?php esc_html_e('If you want to insert content made up of HTML, uncheck "Use JavaScript or jQuery" and insert it after updating.','hima-art-utility'); ?></span>
	<span class="haup-admin-font-red">
	<?php esc_html_e('Even if you enable "Use JavaScript or jQuery", you can still use HTML content, but if it is clear that the content is HTML, it is safer to disable this function for security reasons.','hima-art-utility'); ?>
	</span>
	<br>
	<span>
		<?php esc_html_e('When inserting Google Adsense ad tags, if the previous section "Output ad script tag" is enabled, delete the following part from the ad code to be entered.','hima-art-utility'); ?>
	</span>
	<br>
	<span class="haup-admin-font-red">
	<?php esc_html_e('&lt;script async src=&quot;https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=Adsense ID&quot;
     crossorigin=&quot;anonymous&quot;&gt;&lt;/script&gt;','hima-art-utility'); ?>
	</span>
</p>
<br>
<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="10" ><?php echo esc_html($options[ $option_name ]); ?></textarea>
<?php
}else{
?>
<label>
	<p><?php esc_html_e('Enter content such as ad code to be inserted just before the first H2 tag','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span>
	<?php esc_html_e('You can insert HTML content','hima-art-utility'); ?>
	</span>
	<br>
	<span>
	<?php esc_html_e('If you want to insert JavaScript such as Google Adsense ad tags, check "Use JavaScript or jQuery" and insert it after updating.','hima-art-utility'); ?>
	</span>
</p>
<p class="haup-admin-bk">
	<?php esc_html_e('Tip: If you want the width of the inserted content to fit within the width of the parent element, enclose it in div tags.','hima-art-utility'); ?>
</p>
<?php echo wp_kses_post(allow_tags_list()); ?>
<br>
<textarea name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" id="<?php echo esc_html($set_name . $option_name ); ?>" cols="100" rows="10" ><?php echo wp_kses_post($options[ $option_name ]); ?></textarea>
<?php
}
}

/*** 3つめのH2タグ前に挿入するコンテンツにJSを使用する ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_third_autoad_content_use_js(){
//項目の追加
	add_settings_field(
		'third-autoad-content-use-js', // 設定名
		'', // 設定タイトル
		'haumenu_third_autoad_content_use_js', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_05_ana_ad(), //表示させるタブのスラグ
		haumenu_define_section_id_05_ana_ad(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_third_autoad_content_use_js' );

/* 入力フォーム */
function haumenu_third_autoad_content_use_js() {
	$set_name = haumenu_define_option_name_05_ana_ad(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'third-autoad-content-use-js'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1"><?php esc_html_e('Use JavaScript or jQuery','hima-art-utility'); ?></label>
<?php
}